Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class LineUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.sound.sampled.LineUnavailableException

All Implemented Interfaces:
  Serializable

    public class LineUnavailableException

extends Exception

A `LineUnavailableException` is an exception indicating that a line cannot be opened because it is unavailable. This situation arises most commonly when a requested line is already in use by another application.

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`LineUnavailableException()` Constructs a `LineUnavailableException` that has `null` as its error detail message.
`LineUnavailableException(String message)` Constructs a `LineUnavailableException` that has the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineUnavailableException

    public LineUnavailableException()

  Constructs a `LineUnavailableException` that has `null` as its error detail message.

### LineUnavailableException

    public LineUnavailableException(String message)

  Constructs a `LineUnavailableException` that has the specified detail message.

  Parameters:
    `message` - a string containing the error detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.